Search found 30 matches

by MIngB
Sun Jan 08, 2023 7:14 am
Forum: Developers corner
Topic: Proper way to set up a tabbed Preference page for a workbench ?
Replies: 4
Views: 874

Re: Proper way to set up a tabbed Preference page for a workbench ?

You can make an ui File using QT-Creator and use this File. Following Code is not testest, but I got something like this import FreeCAD import FreeCADGui MY_FILE = ("MyFile", "String") # add more Constants for fields to save def preferences(): return FreeCAD.ParamGet("User p...
by MIngB
Sun Oct 30, 2022 7:22 pm
Forum: Path/CAM
Topic: asymmetric ToolTip (solved)
Replies: 3
Views: 655

Re: asymmetric ToolTip

The Laser-Head is a fixed-focus Quad-diode Laser.... The asymmetric Spot comes from stacking the Laser... 40W Laser power but asymetric Spot, though these are now available for small Money... for now, my solution is to bend the Shape after areaOpShapes. Bend everything back after opExecute. This wor...
by MIngB
Mon Oct 17, 2022 4:24 pm
Forum: Path/CAM
Topic: asymmetric ToolTip (solved)
Replies: 3
Views: 655

Re: asymmetric ToolTip

OK, I figured out that PathScripts/PathDeburr.py has a toolDepthAndOffset Function, which looks at the Tool Parameter. In my case, I think, the returning offset shoud become a 2D Vector. While iterating through basewires, in opExecute. the offset has to be calculated accordingly to edge/wire angle (...
by MIngB
Sun Oct 16, 2022 6:50 pm
Forum: Path/CAM
Topic: asymmetric ToolTip (solved)
Replies: 3
Views: 655

asymmetric ToolTip (solved)

I managed to setup a ToolTip for my LaserCutter. Made some code adjustments to the laser_post post-processor: https://github.com/kovacevic39/laser_post. And got nice working gcode :D . But inner cuts where 0.1mm off in X-direction . :shock: Unluckily my Laser has an asymmetric Tooltip. No problem 8-...
by MIngB
Sun Jan 13, 2019 11:09 am
Forum: Python scripting and macros
Topic: How to add lost Origin?
Replies: 2
Views: 983

Re: How to add lost Origin?

It's difficult to figure out what's an Origin... so I check for len(dobj.OutList)>=6 and dobj.OutList[0].__class__.__name__ == 'GeoFeature' an Object with at least 6 Outlist and 1st has to be a Geofeature here is my Code that creates new GeoFeatures for Origins that share Geofeatures. Still needs to...
by MIngB
Fri Jan 11, 2019 5:04 am
Forum: Help on using FreeCAD
Topic: Bug: how to lose your origin
Replies: 6
Views: 1765

Re: Bug: how to lose your origin

Bug reported in Mantis
by MIngB
Thu Jan 10, 2019 7:53 pm
Forum: Help on using FreeCAD
Topic: Bug: how to lose your origin
Replies: 6
Views: 1765

Re: Bug: how to lose your origin

Just open the attached file in my first post and delete Body001. Than you should have an Origin without geoFeatures... I'm diving into the code right now.. doing copies like i described you get: <Objects Count="12"> <Object type="PartDesign::Body" name="Body" /> <Object...
by MIngB
Thu Jan 10, 2019 4:53 pm
Forum: Help on using FreeCAD
Topic: Bug: how to lose your origin
Replies: 6
Views: 1765

Bug: how to lose your origin

In my drawings is an quite annoying Origin problem. Sometimes Origins where not where they should be and disappeared by chance. OriginBug.png I finally tracked it down to: Case: Lose Origin - create a Body with a Box - toggle Body inactive - hold CTRL and mark Body and Box (not Origin) - press CTRL-...
by MIngB
Sat Feb 03, 2018 12:07 am
Forum: Draft, Arch & BIM
Topic: curved stairs
Replies: 10
Views: 4592

Re: curved stairs

I meanwhile started on an algorithm inspired by what MingW wrote below. It takes a spline (or arbitrary Edge) as "walking path" and builds stairs on it. Hi great! I might have in April/18 some more time for coding, so I'm happy to see others being involved into the same issues. You have t...
by MIngB
Sun Jul 30, 2017 8:07 pm
Forum: Developers corner
Topic: split for Sketch pre-release
Replies: 0
Views: 661

split for Sketch pre-release

This is my 1st attempt to add some changes into the Sketcher. Basically I used the 'trim' operation to add a 'split' prerelease branch Sketch Slpit There are still some issues: [*] trim and split symbol should be one chose able Symbol like circle and 3point circle [*] depending on the point chosen b...